: Class CRLFOutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dog.mail.util
Class CRLFOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--dog.mail.util.CRLFOutputStream

public class CRLFOutputStream
extends java.io.FilterOutputStream

An output stream that filters LFs into CR/LF pairs.

Field Summary
`static int` | `CR` The CR octet.
`static byte[]` | `CRLF` The CR/LF pair.
`protected int` | `last` The last byte read.
`static int` | `LF` The LF octet.

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CRLFOutputStream(java.io.OutputStream out)` Constructs a CR/LF output stream connected to the specified output stream.

Method Summary
`void` | `write(byte[] b)` Writes a byte array to the underlying stream.
`void` | `write(byte[] b, int off, int len)` Writes a portion of a byte array to the underlying stream.
`void` | `write(int ch)` Writes a character to the underlying stream.
`void` | `writeln()` Writes a newline to the underlying stream.

Methods inherited from class java.io.FilterOutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CR

    public static final int CR

  The CR octet.

### LF

    public static final int LF

  The LF octet.

### CRLF

    public static final byte[] CRLF

  The CR/LF pair.

### last

    protected int last

  The last byte read.

Constructor Detail

### CRLFOutputStream

    public CRLFOutputStream(java.io.OutputStream out)

  Constructs a CR/LF output stream connected to the specified output stream.

Method Detail

### write

    public void write(int ch)
               throws java.io.IOException

  Writes a character to the underlying stream.
  Throws:
    java.io.IOException - if an I/O error occurred
  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes a byte array to the underlying stream.
  Throws:
    java.io.IOException - if an I/O error occurred
  Overrides:
    write in class java.io.FilterOutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes a portion of a byte array to the underlying stream.
  Throws:
    java.io.IOException - if an I/O error occurred
  Overrides:
    write in class java.io.FilterOutputStream

### writeln

    public void writeln()
                 throws java.io.IOException

  Writes a newline to the underlying stream.
  Throws:
    java.io.IOException - if an I/O error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD